English display language can't be selected in lightdm-gtk-greeter

Bug #1665627 reported by Silvara on 2017-02-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
accountsservice (Ubuntu)
Low
Gunnar Hjalmarsson
language-selector (Ubuntu)
Low
Gunnar Hjalmarsson

Bug Description

PROBLEM: on the GTK greeter login screen, the language selection menu contain only a "Russian" entry, which seems to be a fallback value. Based on a system configuration, at least 3 options must have been present.

VERSION:
lightdm 1.21.4-0ubuntu1
lightdm-gtk-greeter 2.1.0-2ubuntu4

UBUNTU:
Zesty Zapus (17.04)

locale -a:
C
C.UTF-8
en_US.utf8
POSIX
ru_RU.utf8
ru_UA.utf8

Gunnar Hjalmarsson (gunnarhj) wrote :

That menu is supposed to show translations for installed languages. It looks to me as if you have removed English, and if so, only Russian remains to be shown. Please confirm.

Changed in lightdm-gtk-greeter (Ubuntu):
status: New → Incomplete
no longer affects: lightdm (Ubuntu)
Silvara (mistresssilvara) wrote :

I'm not sure I understand. What exactly do you mean by "installed languages" and "removed English"?

Gunnar Hjalmarsson (gunnarhj) wrote :

I'm talking about the installed languages according to System Settings -> Language Support. If you click "Install / Remove Languages" there, I suspect that only Russian is marked as installed.

Can you please run this command:

ls /usr/share/locale-langpack

and let us know what it outputs.

Silvara (mistresssilvara) wrote :

Indeed, there is only Russian package there.
Still, the selector is bugged as English does not require any .mo files installed and should be available always.

Also, this is a bug in lightdm itself, not in gtk-greeter.

Gunnar Hjalmarsson (gunnarhj) wrote :

If you want to be able to select English, why not install the English language packs? OTOH, what you say does make some sense. I'll have a look at it.

On 2017-02-18 17:18, Silvara wrote:
> Also, this is a bug in lightdm itself, not in gtk-greeter.

Neither. I changed the affected package.

Thanks!

affects: lightdm-gtk-greeter (Ubuntu) → accountsservice (Ubuntu)
Changed in accountsservice (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Low
status: Incomplete → In Progress
Changed in accountsservice (Ubuntu):
status: In Progress → Fix Committed
Changed in language-selector (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Low
status: New → Fix Committed
summary: - No language selection possible
+ English display language can't be selected in lightdm-gtk-greeter
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package language-selector - 0.174

---------------
language-selector (0.174) zesty; urgency=medium

  * language_support_pkgs.py:
    Prevent check-language-support() from pulling English language
    support if /usr/share/locale-langpack/en does not exist
    (LP: #1665627).
  * data/pkg_depends:
    Pull Scottish Gaelic word list.

 -- Gunnar Hjalmarsson <email address hidden> Sat, 18 Feb 2017 23:54:00 +0100

Changed in language-selector (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package accountsservice - 0.6.42-0ubuntu2

---------------
accountsservice (0.6.42-0ubuntu2) zesty; urgency=medium

  * debian/patches/0009-language-tools.patch:
    - Make list of display language options include 'en' even if the
      English language pack is not installed (LP: #1665627).

 -- Gunnar Hjalmarsson <email address hidden> Sat, 18 Feb 2017 23:54:00 +0100

Changed in accountsservice (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers